Subject: Re: [ippm] comments on -ippm-duplicate-01.txt

From: Henk Uijterwaal <[email-masked]>
Date: Mon, 06 Aug 2007 12:16:40 +0200

Al, others,

>> 2.1.  Metric Name
>>
>>    Type-P-One-way-Packet-Duplication
>>
>> ...
> Also, this definition essentially describes an arrival counter,
> and therefore
>                 Type-P-One-way-Packet-Duplication = 1
> 
> means *no duplication* (?). I suggest:
> Type-P-One-way-Packet-Arrival-Count

This is correct, it is an arrival counter rather than a singleton
metric.  I've renamed it.  However, for the reporting draft (and
perhaps elsewhere), we seem to need a singleton duplication
definition too.  So, I've defined:

   Type-P-one-way-packet-arrival-count
   Type-P-one-way-packet-duplication.

(with Type-P..count == Type-P...duplication - 1).

> and in Section 3
> 
>> 3.1.  Metric Name
>>
>>    Type-P-One-way-Packet-Duplication-Poisson-Stream
> 
> 
> Type-P-One-way-Packet-Arrival-Count-Poisson/Periodic-Stream

Duplication-Poisson-stream follows the same pattern as in RFC2680.
There one too defines a "loss-stream" even though it is more a
binary stream indicating "loss" or "no loss" for each packet.

I did the same thing here for consistency.

> 
> (Periodic streams are allowed, too)

Added those.

...

I agree with the other comments, they'll be in the next version of
the draft.

Henk

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

# Lawyer: "Now sir, I'm sure you are an intelligent and honest man--"
# Witness: "Thank you. If I weren't under oath, I'd return the compliment."

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm